{% extends 'store/base.html' %}
{% load static %}
{% block title %}Orders{% endblock title %}
{% block main-content %}
<div class="container my-5">
 <div class="row">
 <h3><span class="text-capitalize">{{request.user}}</span></h3>
  <div class="col-sm-2 border-end">
   <ul class="list-unstyled">
    <li class="d-grid"><a href="{% url 'order-history' %}" class="btn btn-outline-secondary">Orders History</a></li>
   </ul>
  </div>
  <div class="col-sm-9 offset-sm-1">
  {% for op in order_placed %}
   {% if op.status == 'Delivered' %}
   <div class="row shadow-sm mb-3">
    <div class="col-sm-2">
      <img src="{{op.product.product_img.url}}" alt="" srcset="" class="responsive" >
    </div>

    <div class="col-sm-7 prod_data">
     <p>Product: {{op.product.title}}</p>
     <p>Quantity: {{op.quantity}}</p>
     <p>Price: {{op.total_cost}}</p>
     <p>Ordered Date: {{op.ordered_date}}</p>
     <form method="post" id="reviewform">
      {% csrf_token %}
      <input type="hidden" value="{{op.product.id}}" class="prod_id">
      <div class="input-group mb-3 ">
       <input type="text" required class="form-control form-control-sm review-item "
              placeholder="Enter Your Review"
              aria-label="Enter Your Review" aria-describedby="button-addon2" name="review">
       <div class="input-group-append">
        <button style="border: none;" class="btn-secondary form-control-sm review-btn" type="text"
                id="button-addon2"><i class="fa fa-paper-plane"
                                      aria-hidden="true"></i></button>
       </div>
      </div>
     </form>
     <div>
      {% for review in product_review %}
      {% if review.product.id == product.id %}
      <p>Review: {{review.review}}</p>
      {% endif %}
      {% endfor %}
     </div>
     <div style="height: 200px; overflow-y: scroll;">
      {% for review in product_review %}
      {% if review.product.id == op.product.id %}
      <div class="container">
       <div class="row">
        <div class="bd-callout bd-callout-warning mb-1">
         <h6 class="m-0 p-0">
          {{review.user}}</h6>
         <small class="pl-1 text-muted">{{review.review}}</small>
         <input type="hidden" value="{{review.review}}" class="user_review">
         {% if review.user == request.user %}
         <div class="col-sm-3">
          <input type="hidden" value="{{review.id}}" class="review_id">
          <button style="border: none;" class="btn btn-danger btn-sm  review-delete-btn"
                  type="text" id="button-addon3">Delete
          </button>
         </div>
         {% endif %}
        </div>
       </div>
      </div>
      {% endif %}
      {% endfor %}
     </div>
    </div>
    <div class="col-sm-3 fw-bold cancel_data">
     <p>Order Status: {{op.status}} </p>
     {% if op.status == 'Delivered' %}
      <div class="progress">
          <div class="progress-bar bg-success" role="progressbar" style="width: 100%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
      </div>
      {% endif %}
    </div>
   </div>
   {% endif %}
   {% endfor %}
  </div>
 </div>
</div>
{% endblock main-content %}

